## ros-galactic-ament-cmake-flake8 0.10.7

=== debian/changelog ===
ros-galactic-ament-cmake-flake8 (0.10.7-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 28 Apr 2022 00:00:00 -0000

ros-galactic-ament-cmake-flake8 (0.10.6-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 06 May 2021 00:00:00 -0000

ros-galactic-ament-cmake-flake8 (0.10.5-1focal) focal; urgency=high

  * Remove Claire as a maintainer. (#312 <https://github.com/ament/ament_lint/issues/312>)
    * Remove Claire as a maintainer.
    * Remove dead email addresses.
    * Remove more dead email addresses.
    * Switch setup.py maintainer to Audrow.
  * Contributors: Chris Lalancette

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 14 Apr 2021 00:00:00 -0000

ros-galactic-ament-cmake-flake8 (0.10.4-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 18 Mar 2021 00:00:00 -0000

ros-galactic-ament-cmake-flake8 (0.10.3-1focal) focal; urgency=high

  * 0.10.3
  * Contributors: Audrow Nash

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 03 Mar 2021 00:00:00 -0000

ros-galactic-ament-cmake-flake8 (0.10.2-1focal) focal; urgency=high

  * Add Audrow as a maintainer (#294 <https://github.com/ament/ament_lint/issues/294>)
  * Contributors: Audrow Nash

 -- Audrow Nash <audrow@openrobotics.org>  Fri, 12 Feb 2021 00:00:00 -0000

ros-galactic-ament-cmake-flake8 (0.10.1-1focal) focal; urgency=high

  * Update maintainer (#274 <https://github.com/ament/ament_lint/issues/274>)
    * update maintainer
    * add authors
  * Contributors: Claire Wang

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 25 Jan 2021 00:00:00 -0000

ros-galactic-ament-cmake-flake8 (0.10.0-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Fri, 18 Sep 2020 00:00:00 -0000

ros-galactic-ament-cmake-flake8 (0.9.4-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 26 May 2020 00:00:00 -0000

ros-galactic-ament-cmake-flake8 (0.9.3-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 18 May 2020 00:00:00 -0000

ros-galactic-ament-cmake-flake8 (0.9.2-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Fri, 08 May 2020 00:00:00 -0000

ros-galactic-ament-cmake-flake8 (0.9.1-1focal) focal; urgency=high

  * 0.9.0
  * Contributors: Chris Lalancette

 -- Audrow Nash <audrow@openrobotics.org>  Fri, 10 Apr 2020 00:00:00 -0000

ros-galactic-ament-cmake-flake8 (0.8.1-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 23 Oct 2019 00:00:00 -0000

ros-galactic-ament-cmake-flake8 (0.8.0-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 17 Sep 2019 00:00:00 -0000

ros-galactic-ament-cmake-flake8 (0.7.4-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 31 Jul 2019 00:00:00 -0000

ros-galactic-ament-cmake-flake8 (0.7.3-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 09 May 2019 14:08:00 -0000

ros-galactic-ament-cmake-flake8 (0.7.2-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 09 May 2019 09:30:00 -0000

ros-galactic-ament-cmake-flake8 (0.7.1-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 07 May 2019 00:00:00 -0000

ros-galactic-ament-cmake-flake8 (0.7.0-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 11 Apr 2019 00:00:00 -0000

ros-galactic-ament-cmake-flake8 (0.6.3-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 14 Jan 2019 00:00:00 -0000

ros-galactic-ament-cmake-flake8 (0.6.2-1focal) focal; urgency=high

  * Change spelling of maintainer name. (#115 <https://github.com/ament/ament_lint/issues/115>)
    This is causing failures in CI at the moment. Until I figure out where
    the issue lies let's just mispell it to unbreak CI.
  * Contributors: Steven! Ragnarök

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 06 Dec 2018 00:00:00 -0000

ros-galactic-ament-cmake-flake8 (0.6.1-1focal) focal; urgency=high

  * Update maintainer for ament{,_cmake}_flake8. (#114 <https://github.com/ament/ament_lint/issues/114>)
  * Contributors: Steven! Ragnarök

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 15 Nov 2018 00:00:00 -0000

ros-galactic-ament-cmake-flake8 (0.6.0-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 14 Nov 2018 00:00:00 -0000

ros-galactic-ament-cmake-flake8 (0.5.2-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 27 Jun 2018 00:00:00 -0000

ros-galactic-ament-cmake-flake8 (0.5.1-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 18 Jun 2018 13:47:00 -0000

ros-galactic-ament-cmake-flake8 (0.5.0-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 18 Jun 2018 10:09:00 -0000

ros-galactic-ament-cmake-flake8 (0.4.0-1focal) focal; urgency=high

  * 0.0.3
  * 0.0.2
  * Test python module import order using flake8 (#63 <https://github.com/ament/ament_lint/issues/63>)
    * Add flake8 linter
    * Don't deal with flake8-import-order just yet
    * Debugging prints
    * Reinstate import order rule
    * Fix reporting bug by using the inner flake8 style guide
    * Fixup
    * Add comment on wrapper StyleGuide use
    * use flake8 v3 (#1 <https://github.com/ament/ament_lint/issues/1>)
    * Reorder package.xml
    * Get the filenames from the file checkers because input_file isn't called by flake8 anymore
    * Output count of all error types
    * Get flake8 to use the config file
    The current implementation of get_style_guide does not process the config file correctly.
    * Error when flake8 v2 found
    * Print errors like pep8
    * remove __future__ imports
    * add schema to manifest files
    * Support flake8 v2 as well as v3
    * Output checked files
    otherwise it's not present in xunit files for tests run directly with nose (not ament_cmake_flake8)
    * Prevent v2 imports from happening on systems with v3

