=== debian/control ===
Source: ros-galactic-ament-cmake-flake8
Section: misc
Priority: optional
Maintainer: Audrow Nash <audrow@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-galactic-ament-cmake-copyright <!nocheck>, ros-galactic-ament-cmake-core, ros-galactic-ament-cmake-lint-cmake <!nocheck>, ros-galactic-ament-cmake-test, ros-galactic-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-galactic-ament-cmake-flake8
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-galactic-ament-cmake-test, ros-galactic-ament-flake8, ros-galactic-ros-workspace
Description: The CMake API for ament_flake8 to check code syntax and style conventions with flake8.
